Subject: bug#10180: 24.0.92; Gnus shows spurious message with org MIME part

From: Bastien <[email-masked]>
Date: Wed, 01 Feb 2012 16:27:15 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> Lars Magne Ingebrigtsen <[email-masked]> writes:
>
>>> which calls org-cycle-internal-global,
>>> which calls (message "OVERVIEW").
>>>
>>> Since the email or posting I'm reading in Gnus is not in org-mode and I
>>> cannot cycle the state of the MIME part, the message is at best
>>> superfluous, at worst confusing.
>>
>> Yes, that seems rather confusing.
>>
>> Bastien, can the
>>
>>   (message "OVERVIEW")
>>
>> be removed from the org function?

Sorry I missed this message.

I don't want to remove this message when this function is used from
within an Org buffer.  What variable can I check to tell the function
we are building a (Gnus) message?

PS: I consider implementing `org-message' similar to `gnus-message',
but that will not directly address the issue.  

-- 
 Bastien